package com.yanzuoguang.util.vo;

import com.yanzuoguang.util.helper.JsonHelper;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;

/**
 * 基本数据类
 *
 * @author 颜佐光
 */
@ApiModel(value = "系统对象接口模型，可以通过toString对对象进行JSON序列化")
public class BaseVo implements Serializable {

    private static final long serialVersionUID = -2611225711795496063L;

    /**
     * over ride object toString
     *
     * @return
     */
    @Override
    public String toString() {
        return JsonHelper.serialize(this);
    }
}
